Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.protocol.v1
Class ConsultCarmedInterventionResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.mediprima.protocol.v1.ConsultCarmedInterventionResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:24:36+01:00",
               comments="JAXB RI v2.3.6")
    public class ConsultCarmedInterventionResponse

extends StatusResponseType
implements Serializable

Java class for ConsultCarmedInterventionResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCarmedInterventionResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="SelectionCriteria" type="{urn:be:fgov:ehealth:mediprima:core:v1}ConsultCarmedDataType"/>
             <element name="Result" type="{urn:be:fgov:ehealth:mediprima:core:v1}CarmedAttributedListType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCarmedInterventionResponse()`

Method Summary
`CarmedAttributedListType` | `getResult()` Gets the value of the result property.
`ConsultCarmedDataType` | `getSelectionCriteria()` Gets the value of the selectionCriteria property.
`void` | `setResult(CarmedAttributedListType value)` Sets the value of the result property.
`void` | `setSelectionCriteria(ConsultCarmedDataType value)` Sets the value of the selectionCriteria property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCarmedInterventionResponse

    public ConsultCarmedInterventionResponse()

Method Detail

### getSelectionCriteria

    public ConsultCarmedDataType getSelectionCriteria()

  Gets the value of the selectionCriteria property.

  Returns:
    possible object is `ConsultCarmedDataType`

### setSelectionCriteria

    public void setSelectionCriteria(ConsultCarmedDataType value)

  Sets the value of the selectionCriteria property.

  Parameters:
    `value` - allowed object is `ConsultCarmedDataType`

### getResult

    public CarmedAttributedListType getResult()

  Gets the value of the result property.

  Returns:
    possible object is `CarmedAttributedListType`

### setResult

    public void setResult(CarmedAttributedListType value)

  Sets the value of the result property.

  Parameters:
    `value` - allowed object is `CarmedAttributedListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.